/****************************************************************************/
/* w_gest_app.c  : Gestion des vnements de W_GEST_APP                     */
/* Auteur        : Philippe BOUSQUET                                        */
/* Modifi le    : 05/02/2003                                               */
/* Cre le       : 05/02/2003                                               */
/*==========================================================================*/
/*                                                                          */
/* Ce fichier permet la gestion des vnements de W_GEST_APP                */
/*                                                                          */
/****************************************************************************/
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
#include <dirent.h>
#include <sys/stat.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "donnees.h"
#include "commun.h"


/****************************************************************************/
/* EVENEMENTS DE LA FENETRE W_CONFIG                                        */
/****************************************************************************/
void
on_w_prefs_destroy                    (GtkObject       *object,
                                        gpointer         user_data)
{
  W_PREFS=create_W_PREFS();
}


void
on_bt_prefs_ok_clicked                    (GtkButton       *button,
                                        gpointer         user_data)
{
  FILE * fd;
  char pixmap[512];
  char taille[512];      
  strcpy(taille,gtk_entry_get_text(GTK_ENTRY(lookup_widget(W_PREFS,"E_WINDOW"))));
  strcpy(pixmap,gtk_entry_get_text(GTK_ENTRY(gnome_pixmap_entry_gtk_entry(lookup_widget(W_PREFS,"GE_BACKGROUND")))));
  if (strlen(pixmap)<3) strcpy(pixmap,"/usr/share/pixmaps/xwine/standard_640x480.xpm");
  if (strcmp(taille,"1024x768")==0)
  {
    gnome_pixmap_load_file_at_size(lookup_widget(W_XWINE,"IMG_XWINE"),pixmap,1024,768);
    gtk_widget_set_usize(lookup_widget(W_XWINE,"IMG_XWINE"),1024,728);
  }
  else if (strcmp(taille,"800x600")==0)
  {
    gnome_pixmap_load_file_at_size(lookup_widget(W_XWINE,"IMG_XWINE"),pixmap,800,560);
    gtk_widget_set_usize(lookup_widget(W_XWINE,"IMG_XWINE"),800,560);
  }
  else 
  {
    gnome_pixmap_load_file_at_size(lookup_widget(W_XWINE,"IMG_XWINE"),pixmap,640,440);
    gtk_widget_set_usize(lookup_widget(W_XWINE,"IMG_XWINE"),640,440);
  }
  fd=fopen(FichierPref,"wt");
  strcat(pixmap,"\n");      
  strcat(taille,"\n");      
  fputs(pixmap, fd);
  fputs(taille, fd);
  fclose(fd);           
  gtk_widget_destroy(W_PREFS);
}

void
on_bt_prefs_annul_clicked             (GtkButton       *button,
                                        gpointer         user_data)
{
  gtk_widget_destroy(W_PREFS);
}

