/****************************************************************************/
/* w_quitter.c : Gestion des vnements sur la fentre W_QUITTER            */
/* Auteur      : Philippe BOUSQUET                                          */
/* Modifi le  : 05/02/2003                                                 */
/* Cre le     : 05/02/2003                                                 */
/****************************************************************************/
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "donnees.h"
#include "commun.h"

/****************************************************************************/
/* on_w_quitter_destroy : revenir sur la fentre W_XWINE                    */
/****************************************************************************/
void
on_w_quitter_destroy                   (GtkObject       *object,
                                        gpointer         user_data)
{
  W_QUITTER=create_W_QUITTER();
}


/****************************************************************************/
/* on_rb_del_log_toggled : le fichier log est  supprimer                   */
/****************************************************************************/
void
on_rb_del_log_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
  DeleteLog=1;
}


/****************************************************************************/
/* on_rb_del_log_toggled : le fichier log est  conserver                   */
/****************************************************************************/
void
on_rb_keep_log_toggled                 (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
  DeleteLog=0;
}


/****************************************************************************/
/* on_bt_quitter_ok_clicked : on quitte XWine                               */
/****************************************************************************/
void
on_bt_quitter_ok_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
  ecrire_dans_log("Quit","\0");
  if (DeleteLog)
  {
    strcpy(Commande,"> ");
    strcat(Commande,FichierLog);
    system(Commande);
  }
  gtk_main_quit();
}

